#if !defined(AFX_PAGE2_H__844F36C3_D91E_4DCF_8D68_E77D58D351AE__INCLUDED_)
#define AFX_PAGE2_H__844F36C3_D91E_4DCF_8D68_E77D58D351AE__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// page2.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// Cpage2 dialog

class Cpage2 : public CPropertyPage
{
	DECLARE_DYNCREATE(Cpage2)

// Construction
public:
	BOOL Str2ToHex(char *str, int lenstr);
	HANDLE hCommPort;
	Cpage2();
	~Cpage2();

// Dialog Data
	//{{AFX_DATA(Cpage2)
	enum { IDD = IDD_PROPPAGE_LARGE1 };
	CComboBox	m_Block;
	CComboBox	m_Sector;
	CString	m_PassWord;
	CString	m_Block0;
	CString	m_Block1;
	CString	m_Block2;
	CString	m_Block3;
	CString	m_KeyA;
	CString	m_KeyB;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(Cpage2)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(Cpage2)
	virtual BOOL OnInitDialog();
	afx_msg void OnDisplay();
	afx_msg void OnWrite();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PAGE2_H__844F36C3_D91E_4DCF_8D68_E77D58D351AE__INCLUDED_)
